Bug 78003 - Galeon opens window on wrong display when used simultaneously from multiple displays
Galeon opens window on wrong display when used simultaneously from multiple d...
Product: Red Hat Linux
Classification: Retired
Component: galeon (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Depends On:
  Show dependency treegraph
Reported: 2002-11-17 02:14 EST by sdh4
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-11-17 02:14:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description sdh4 2002-11-17 02:14:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
If I have galeon running on one display, then log in from a second display and
try to run galeon, the window is opened on the first display. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
0. galeon &
1. Xnest :5 &
2. setenv DISPLAY :5
3. galeon &

Actual Results:  Galeon issued the message:
Message: Galeon already running, using existing process
and opened up a window on the root display

Expected Results:  Galeon should have opened a window within the Xnest display. 

Additional info:
Comment 1 Christopher Blizzard 2002-11-18 12:27:18 EST
I think that galeon uses factories to create new instances, instead of basing it
on the display.

I'm not going to fix it but it if it gets fixed upstream I'll take it.

Note You need to log in before you can comment on or make changes to this bug.